petsc-3.4.2 2013-07-02

# PetscObjectAMSTakeAccess

Take access of the data fields that have been published to AMS so they may be changed locally

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectAMSTakeAccess(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectSetName(), PetscObjectAMSViewOff(), PetscObjectAMSGrantAccess()

Level:advanced
Location:src/sys/ams/pams.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages